Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.faces.component.html
Class HtmlCommandLink

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UICommand
                  javax.faces.component.html.HtmlCommandLink

All Implemented Interfaces:
  EventListener, ActionSource, ActionSource2, ClientBehaviorHolder, PartialStateHolder, StateHolder, ComponentSystemEventListener, FacesListener, SystemEventListenerHolder

    public class HtmlCommandLink

extends UICommand
implements ClientBehaviorHolder

Represents an HTML `a` element for a hyperlink that acts like a submit button. This component must be placed inside a form, and requires JavaScript to be enabled in the client.

By default, the `rendererType` property must be set to "`javax.faces.Link`". This value can be changed by calling the `setRendererType()` method.

Nested Class Summary
`protected static class` | `HtmlCommandLink.PropertyKeys`

Field Summary
`static String` | `COMPONENT_TYPE` The standard component type for this component.

Fields inherited from class javax.faces.component.UICommand
`COMPONENT_FAMILY`

Fields inherited from class javax.faces.component.UIComponent
`BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, VIEW_LOCATION_KEY`

Constructor Summary
`HtmlCommandLink()`

Method Summary
`String` | `getAccesskey()` Return the value of the `accesskey` property.
`String` | `getCharset()` Return the value of the `charset` property.
`String` | `getCoords()` Return the value of the `coords` property.
`String` | `getDefaultEventName()` This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`.
`String` | `getDir()` Return the value of the `dir` property.
`Collection<String>` | `getEventNames()` This is a default implementation of `ClientBehaviorHolder.getEventNames()`.
`String` | `getHreflang()` Return the value of the `hreflang` property.
`String` | `getLang()` Return the value of the `lang` property.
`String` | `getOnblur()` Return the value of the `onblur` property.
`String` | `getOnclick()` Return the value of the `onclick` property.
`String` | `getOndblclick()` Return the value of the `ondblclick` property.
`String` | `getOnfocus()` Return the value of the `onfocus` property.
`String` | `getOnkeydown()` Return the value of the `onkeydown` property.
`String` | `getOnkeypress()` Return the value of the `onkeypress` property.
`String` | `getOnkeyup()` Return the value of the `onkeyup` property.
`String` | `getOnmousedown()` Return the value of the `onmousedown` property.
`String` | `getOnmousemove()` Return the value of the `onmousemove` property.
`String` | `getOnmouseout()` Return the value of the `onmouseout` property.
`String` | `getOnmouseover()` Return the value of the `onmouseover` property.
`String` | `getOnmouseup()` Return the value of the `onmouseup` property.
`String` | `getRel()` Return the value of the `rel` property.
`String` | `getRev()` Return the value of the `rev` property.
`String` | `getShape()` Return the value of the `shape` property.
`String` | `getStyle()` Return the value of the `style` property.
`String` | `getStyleClass()` Return the value of the `styleClass` property.
`String` | `getTabindex()` Return the value of the `tabindex` property.
`String` | `getTarget()` Return the value of the `target` property.
`String` | `getTitle()` Return the value of the `title` property.
`String` | `getType()` Return the value of the `type` property.
`boolean` | `isDisabled()` Return the value of the `disabled` property.
`void` | `setAccesskey(String accesskey)` Set the value of the `accesskey` property.
`void` | `setCharset(String charset)` Set the value of the `charset` property.
`void` | `setCoords(String coords)` Set the value of the `coords` property.
`void` | `setDir(String dir)` Set the value of the `dir` property.
`void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
`void` | `setHreflang(String hreflang)` Set the value of the `hreflang` property.
`void` | `setLang(String lang)` Set the value of the `lang` property.
`void` | `setOnblur(String onblur)` Set the value of the `onblur` property.
`void` | `setOnclick(String onclick)` Set the value of the `onclick` property.
`void` | `setOndblclick(String ondblclick)` Set the value of the `ondblclick` property.
`void` | `setOnfocus(String onfocus)` Set the value of the `onfocus` property.
`void` | `setOnkeydown(String onkeydown)` Set the value of the `onkeydown` property.
`void` | `setOnkeypress(String onkeypress)` Set the value of the `onkeypress` property.
`void` | `setOnkeyup(String onkeyup)` Set the value of the `onkeyup` property.
`void` | `setOnmousedown(String onmousedown)` Set the value of the `onmousedown` property.
`void` | `setOnmousemove(String onmousemove)` Set the value of the `onmousemove` property.
`void` | `setOnmouseout(String onmouseout)` Set the value of the `onmouseout` property.
`void` | `setOnmouseover(String onmouseover)` Set the value of the `onmouseover` property.
`void` | `setOnmouseup(String onmouseup)` Set the value of the `onmouseup` property.
`void` | `setRel(String rel)` Set the value of the `rel` property.
`void` | `setRev(String rev)` Set the value of the `rev` property.
`void` | `setShape(String shape)` Set the value of the `shape` property.
`void` | `setStyle(String style)` Set the value of the `style` property.
`void` | `setStyleClass(String styleClass)` Set the value of the `styleClass` property.
`void` | `setTabindex(String tabindex)` Set the value of the `tabindex` property.
`void` | `setTarget(String target)` Set the value of the `target` property.
`void` | `setTitle(String title)` Set the value of the `title` property.
`void` | `setType(String type)` Set the value of the `type` property.

Methods inherited from class javax.faces.component.UICommand
`addActionListener, broadcast, getAction, getActionExpression, getActionListener, getActionListeners, getFamily, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

Methods inherited from class javax.faces.component.UIComponentBase
`addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getListenersForEventClass, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, setInView, setValueExpression, subscribeToEvent, unsubscribeFromEvent, visitTree`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder
`addClientBehavior, getClientBehaviors`

Field Detail

### COMPONENT_TYPE

    public static final String COMPONENT_TYPE

  The standard component type for this component.

  See Also:
    Constant Field Values

Constructor Detail

### HtmlCommandLink

    public HtmlCommandLink()

Method Detail

### getAccesskey

    public String getAccesskey()

  Return the value of the `accesskey` property.

  Contents: Access key that, when pressed, transfers focus to this element.

### setAccesskey

    public void setAccesskey(String accesskey)

  Set the value of the `accesskey` property.

### getCharset

    public String getCharset()

  Return the value of the `charset` property.

  Contents: The character encoding of the resource designated by this hyperlink.

### setCharset

    public void setCharset(String charset)

  Set the value of the `charset` property.

### getCoords

    public String getCoords()

  Return the value of the `coords` property.

  Contents: The position and shape of the hot spot on the screen (for use in client-side image maps).

### setCoords

    public void setCoords(String coords)

  Set the value of the `coords` property.

### getDir

    public String getDir()

  Return the value of the `dir` property.

  Contents: Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).

### setDir

    public void setDir(String dir)

  Set the value of the `dir` property.

### isDisabled

    public boolean isDisabled()

  Return the value of the `disabled` property.

  Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit.

### setDisabled

    public void setDisabled(boolean disabled)

  Set the value of the `disabled` property.

### getHreflang

    public String getHreflang()

  Return the value of the `hreflang` property.

  Contents: The language code of the resource designated by this hyperlink.

### setHreflang

    public void setHreflang(String hreflang)

  Set the value of the `hreflang` property.

### getLang

    public String getLang()

  Return the value of the `lang` property.

  Contents: Code describing the language used in the generated markup for this component.

### setLang

    public void setLang(String lang)

  Set the value of the `lang` property.

### getOnblur

    public String getOnblur()

  Return the value of the `onblur` property.

  Contents: Javascript code executed when this element loses focus.

### setOnblur

    public void setOnblur(String onblur)

  Set the value of the `onblur` property.

### getOnclick

    public String getOnclick()

  Return the value of the `onclick` property.

  Contents: Javascript code executed when a pointer button is clicked over this element.

### setOnclick

    public void setOnclick(String onclick)

  Set the value of the `onclick` property.

### getOndblclick

    public String getOndblclick()

  Return the value of the `ondblclick` property.

  Contents: Javascript code executed when a pointer button is double clicked over this element.

### setOndblclick

    public void setOndblclick(String ondblclick)

  Set the value of the `ondblclick` property.

### getOnfocus

    public String getOnfocus()

  Return the value of the `onfocus` property.

  Contents: Javascript code executed when this element receives focus.

### setOnfocus

    public void setOnfocus(String onfocus)

  Set the value of the `onfocus` property.

### getOnkeydown

    public String getOnkeydown()

  Return the value of the `onkeydown` property.

  Contents: Javascript code executed when a key is pressed down over this element.

### setOnkeydown

    public void setOnkeydown(String onkeydown)

  Set the value of the `onkeydown` property.

### getOnkeypress

    public String getOnkeypress()

  Return the value of the `onkeypress` property.

  Contents: Javascript code executed when a key is pressed and released over this element.

### setOnkeypress

    public void setOnkeypress(String onkeypress)

  Set the value of the `onkeypress` property.

### getOnkeyup

    public String getOnkeyup()

  Return the value of the `onkeyup` property.

  Contents: Javascript code executed when a key is released over this element.

### setOnkeyup

    public void setOnkeyup(String onkeyup)

  Set the value of the `onkeyup` property.

### getOnmousedown

    public String getOnmousedown()

  Return the value of the `onmousedown` property.

  Contents: Javascript code executed when a pointer button is pressed down over this element.

### setOnmousedown

    public void setOnmousedown(String onmousedown)

  Set the value of the `onmousedown` property.

### getOnmousemove

    public String getOnmousemove()

  Return the value of the `onmousemove` property.

  Contents: Javascript code executed when a pointer button is moved within this element.

### setOnmousemove

    public void setOnmousemove(String onmousemove)

  Set the value of the `onmousemove` property.

### getOnmouseout

    public String getOnmouseout()

  Return the value of the `onmouseout` property.

  Contents: Javascript code executed when a pointer button is moved away from this element.

### setOnmouseout

    public void setOnmouseout(String onmouseout)

  Set the value of the `onmouseout` property.

### getOnmouseover

    public String getOnmouseover()

  Return the value of the `onmouseover` property.

  Contents: Javascript code executed when a pointer button is moved onto this element.

### setOnmouseover

    public void setOnmouseover(String onmouseover)

  Set the value of the `onmouseover` property.

### getOnmouseup

    public String getOnmouseup()

  Return the value of the `onmouseup` property.

  Contents: Javascript code executed when a pointer button is released over this element.

### setOnmouseup

    public void setOnmouseup(String onmouseup)

  Set the value of the `onmouseup` property.

### getRel

    public String getRel()

  Return the value of the `rel` property.

  Contents: The relationship from the current document to the anchor specified by this hyperlink. The value of this attribute is a space-separated list of link types.

### setRel

    public void setRel(String rel)

  Set the value of the `rel` property.

### getRev

    public String getRev()

  Return the value of the `rev` property.

  Contents: A reverse link from the anchor specified by this hyperlink to the current document. The value of this attribute is a space-separated list of link types.

### setRev

    public void setRev(String rev)

  Set the value of the `rev` property.

### getShape

    public String getShape()

  Return the value of the `shape` property.

  Contents: The shape of the hot spot on the screen (for use in client-side image maps). Valid values are: default (entire region); rect (rectangular region); circle (circular region); and poly (polygonal region).

### setShape

    public void setShape(String shape)

  Set the value of the `shape` property.

### getStyle

    public String getStyle()

  Return the value of the `style` property.

  Contents: CSS style(s) to be applied when this component is rendered.

### setStyle

    public void setStyle(String style)

  Set the value of the `style` property.

### getStyleClass

    public String getStyleClass()

  Return the value of the `styleClass` property.

  Contents: Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.

### setStyleClass

    public void setStyleClass(String styleClass)

  Set the value of the `styleClass` property.

### getTabindex

    public String getTabindex()

  Return the value of the `tabindex` property.

  Contents: Position of this element in the tabbing order for the current document. This value must be an integer between 0 and 32767.

### setTabindex

    public void setTabindex(String tabindex)

  Set the value of the `tabindex` property.

### getTarget

    public String getTarget()

  Return the value of the `target` property.

  Contents: Name of a frame where the resource retrieved via this hyperlink is to be displayed.

### setTarget

    public void setTarget(String target)

  Set the value of the `target` property.

### getTitle

    public String getTitle()

  Return the value of the `title` property.

  Contents: Advisory title information about markup elements generated for this component.

### setTitle

    public void setTitle(String title)

  Set the value of the `title` property.

### getType

    public String getType()

  Return the value of the `type` property.

  Contents: The content type of the resource designated by this hyperlink.

### setType

    public void setType(String type)

  Set the value of the `type` property.

### getEventNames

    public Collection<String> getEventNames()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getEventNames()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must override this method to return a non-Empty `Collection` of the client event names that the component supports.

  Specified by:
    `getEventNames` in interface `ClientBehaviorHolder`
  Overrides:
    `getEventNames` in class `UIComponentBase`

### getDefaultEventName

    public String getDefaultEventName()

  Description copied from class: `UIComponentBase`

  This is a default implementation of `ClientBehaviorHolder.getDefaultEventName()`. `UIComponent` does not implement the `ClientBehaviorHolder` interface, but provides default implementations for the methods defined by `ClientBehaviorHolder` to simplify subclass implementations. Subclasses that wish to support the `ClientBehaviorHolder` contract must declare that the subclass implements `ClientBehaviorHolder`, and must provide an implementation of `ClientBehaviorHolder.getEventNames()`.

  Specified by:
    `getDefaultEventName` in interface `ClientBehaviorHolder`
  Overrides:
    `getDefaultEventName` in class `UIComponentBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.